Bug 1299624 - rhel-x86_64-rhev-mgmt-agent-6-beta channel maps are absent from channel-cert-mapping.txt
rhel-x86_64-rhev-mgmt-agent-6-beta channel maps are absent from channel-cert-...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data (Show other bugs)
6.8
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 14:23 EST by John Sefler
Modified: 2017-12-06 07:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:55:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2016-01-18 14:23:09 EST
Description of problem:

RHN Classic channel 'rhel-x86_64-rhev-mgmt-agent-6-beta' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-rhev-mgmt-agent-6-beta-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.24-1.el6.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# grep rhel-x86_64-rhev-mgmt-agent-6 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-rhev-mgmt-agent-6: RHEV-x86_64-fcf7726b7902-150.pem
rhel-x86_64-rhev-mgmt-agent-6-debuginfo: RHEV-x86_64-fcf7726b7902-150.pem
[root@jsefler-6 ~]# 

Actual results:
  above

Expected results:
  Also expected the grep to find channel maps for:
rhel-x86_64-rhev-mgmt-agent-6-beta
rhel-x86_64-rhev-mgmt-agent-6-beta-debuginfo

Additional info:
Before this bug can be fixed in subscription-manager-migration-data, an upstream fix to http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json must be done by Release Engineering.
Comment 1 John Sefler 2017-01-16 14:34:02 EST
This is still a bug, however after a satellite sync, the channels appear empty....

[root@rhsm-sat5 ~]# satellite-sync --list-channels > allchannels.txt
[root@rhsm-sat5 ~]# grep -- rhel-x86_64-rhev-mgmt-agent-6 allchannels.txt
12:24:47       p rhel-x86_64-rhev-mgmt-agent-6             599 
12:24:47       p rhel-x86_64-rhev-mgmt-agent-6-beta          0         <== EMPTY
12:24:47       p rhel-x86_64-rhev-mgmt-agent-6-beta-debuginfo    0     <== EMPTY
12:24:47       p rhel-x86_64-rhev-mgmt-agent-6-debuginfo   133 
[root@rhsm-sat5 ~]# 


NEEDINFO
Comment 3 Jan Kurik 2017-12-06 07:55:51 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.